import Stock.*;              // The package containing our stubs.
import Stock.Callback.*;
import org.omg.CosNaming.*;  // StockClient uses the naming service.
import org.omg.CORBA.*;      // All CORBA applications need these classes.


public class StockClient
{
  public static void main(String args[])
  {
    try{
      // Create and initialize the ORB
      ORB orb = ORB.init(args, null);
      
      // Get the root naming context
      org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
      NamingContext ncRef = NamingContextHelper.narrow(objRef);
      
      // Resolve the object reference in naming
      NameComponent nc = new NameComponent("Stock", "");
      NameComponent path[] = {nc};
      Quoter quoterRef = QuoterHelper.narrow(ncRef.resolve(path));
      
      // Call the Hello server object and print results
      int val = quoterRef.get_quote("IBM");
      System.out.println("IBM = "+val);      
          
    } catch(Exception e) {
        System.out.println("ERROR : " + e);
        e.printStackTrace(System.out);
    }  
  }
}

